Skip to main content
Server path: /sentry-issues | Type: Application | PCID required: Yes

Tools

ToolDescription
sentry_issues_create_a_new_saved_queryCreate a new saved query for the given organization.
sentry_issues_debug_issues_related_to_source_maps_for_a_given_eventReturn a list of source map errors for a given event.
sentry_issues_delete_an_organization_s_discover_saved_queryDelete a saved query.
sentry_issues_edit_an_organization_s_discover_saved_queryModify a saved query.
sentry_issues_list_a_project_s_error_eventsReturn a list of events bound to a project.
sentry_issues_list_a_tag_s_values_for_an_issueReturns a list of values associated with this key for an issue. Returns at most 1000 values when paginated.
sentry_issues_list_an_issue_s_eventsReturn a list of error events bound to an issue
sentry_issues_list_an_issue_s_hashesThis endpoint lists an issue’s hashes, which are the generated checksums used to aggregate individual events.
sentry_issues_list_an_organization_s_discover_saved_queriesRetrieve a list of saved queries that are associated with the given organization.
sentry_issues_list_an_organization_s_issuesReturn a list of issues for an organization. All parameters are supplied as query string parameters. A default query of is:unresolved is applied. To return all results, use an empty query value (i.e. “?query=`).
sentry_issues_list_seer_ai_modelsGet list of actively used LLM model names from Seer. Returns the list of AI models that are currently used in production in Seer. This endpoint does not require authentication and can be used to discover which models Seer uses. Requests to this endpoint should use the region-specific domain eg. us.sentry.io or de.sentry.io
sentry_issues_query_explore_events_in_table_formatRetrieves explore data for a given organization. Note: This endpoint is intended to get a table of results, and is not for doing a full export of data sent to Sentry. The field query parameter determines what fields will be selected in the data and meta keys of the endpoint response. - The data key contains a list of results row by row that match the query made - The meta key contains information about the response, including the unit or type of the fields requested
sentry_issues_query_explore_events_in_timeseries_formatRetrieves explore data for a given organization as a timeseries. This endpoint can return timeseries for either 1 or many axis, and results grouped to the top events depending on the parameters passed
sentry_issues_remove_an_issueRemoves an individual issue.
sentry_issues_resolve_a_short_idResolve a short ID to the project slug and group details.
sentry_issues_resolve_an_event_idThis resolves an event ID to the project slug and internal issue ID and internal event ID.
sentry_issues_retrieve_an_event_for_a_projectReturn details on an individual event.
sentry_issues_retrieve_an_issueReturn details on an individual issue. This returns the basic stats for the issue (title, last seen, first seen), some overall numbers (number of comments, user reports) as well as the summarized event data.
sentry_issues_retrieve_an_issue_eventRetrieves the details of an issue event.
sentry_issues_retrieve_an_organization_s_discover_saved_queryRetrieve a saved query.
sentry_issues_retrieve_seer_issue_fix_stateRetrieve the current detailed state of an issue fix process for a specific issue including: - Current status - Steps performed and their outcomes - Repository information and permissions - Root Cause Analysis - Proposed Solution - Generated code changes This endpoint although documented is still experimental and the payload may change in the future.
sentry_issues_retrieve_tag_detailsReturn a list of values associated with this key for an issue. When paginated can return at most 1000 values.
sentry_issues_start_seer_issue_fixTrigger a Seer Issue Fix run for a specific issue. The issue fix process can: - Identify the root cause of the issue - Propose a solution - Generate code changes - Create a pull request with the fix The process runs asynchronously, and you can get the state using the GET endpoint.
sentry_issues_update_an_issueUpdates an individual issue’s attributes. Only the attributes submitted are modified.

sentry_issues_create_a_new_saved_query

Create a new saved query for the given organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
displaystringNoVisualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar
endstringNoThe saved end time for this saved query.
environmentstring[]NoThe name of environments to filter by.
fieldsstring[]NoThe fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the properties table, under any field that is an event property. - example: field=transaction - A tag. Tags should use the tag[] formatting to avoid ambiguity with any fields - example: field=tag[isEnterprise] - A function which will be in the format of function_name(parameters,...). See possible functions in the query builder documentation. - when a function is included, Discover will group by any tags or fields - example: field=count_if(transaction.duration,greater,300) - An equation when prefixed with equation|. Read more about equations here. - example: field=equation|count_if(transaction.duration,greater,300) / count() * 100
intervalstringNoResolution of the time series.
namestringYesThe user-defined saved query name.
orderbystringNoHow to order the query results. Must be something in the field list, excluding equations.
projectsinteger[]NoThe saved projects filter for this query.
querystringNoFilters results by using query syntax.
queryDatasetstringNoThe dataset you would like to query. Note: discover is a deprecated value. The allowed values are: error-events, transaction-like * discover * error-events * transaction-like
rangestringNoThe saved time range period for this saved query.
startstringNoThe saved start time for this saved query.
topEventsintegerNoNumber of top events’ timeseries to be visualized.
yAxisstring[]NoAggregate functions to be plotted on the chart.

Return a list of source map errors for a given event. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
event_idstringYesThe ID of the event.
frame_idxintegerYesIndex of the frame that should be used for source map resolution.
exception_idxintegerYesIndex of the exception that should be used for source map resolution.

sentry_issues_delete_an_organization_s_discover_saved_query

Delete a saved query. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
query_idintegerYesThe ID of the Discover query you’d like to retrieve.

sentry_issues_edit_an_organization_s_discover_saved_query

Modify a saved query. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
query_idintegerYesThe ID of the Discover query you’d like to retrieve.
displaystringNoVisualization type for saved query chart. Allowed values are: - default - previous - top5 - daily - dailytop5 - bar
endstringNoThe saved end time for this saved query.
environmentstring[]NoThe name of environments to filter by.
fieldsstring[]NoThe fields, functions, or equations that can be requested for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the properties table, under any field that is an event property. - example: field=transaction - A tag. Tags should use the tag[] formatting to avoid ambiguity with any fields - example: field=tag[isEnterprise] - A function which will be in the format of function_name(parameters,...). See possible functions in the query builder documentation. - when a function is included, Discover will group by any tags or fields - example: field=count_if(transaction.duration,greater,300) - An equation when prefixed with equation|. Read more about equations here. - example: field=equation|count_if(transaction.duration,greater,300) / count() * 100
intervalstringNoResolution of the time series.
namestringYesThe user-defined saved query name.
orderbystringNoHow to order the query results. Must be something in the field list, excluding equations.
projectsinteger[]NoThe saved projects filter for this query.
querystringNoFilters results by using query syntax.
queryDatasetstringNoThe dataset you would like to query. Note: discover is a deprecated value. The allowed values are: error-events, transaction-like * discover * error-events * transaction-like
rangestringNoThe saved time range period for this saved query.
startstringNoThe saved start time for this saved query.
topEventsintegerNoNumber of top events’ timeseries to be visualized.
yAxisstring[]NoAggregate functions to be plotted on the chart.

sentry_issues_list_a_project_s_error_events

Return a list of events bound to a project. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
fullbooleanNoSpecify true to include the full event body, including the stacktrace, in the event payload.
samplebooleanNoReturn events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order.

sentry_issues_list_a_tag_s_values_for_an_issue

Returns a list of values associated with this key for an issue. Returns at most 1000 values when paginated. Parameters:
ParameterTypeRequiredDefaultDescription
issue_idintegerYesThe ID of the issue you’d like to query.
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
keystringYesThe tag key to look the values up for.
sortstringNoSort order of the resulting tag values. Prefix with ’-’ for descending order. Default is ‘-id’.
environmentstring[]NoThe name of environments to filter by.

sentry_issues_list_an_issue_s_events

Return a list of error events bound to an issue Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
issue_idintegerYesThe ID of the issue you’d like to query.
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
environmentstring[]NoThe name of environments to filter by.
fullbooleanNoSpecify true to include the full event body, including the stacktrace, in the event payload.
samplebooleanNoReturn events in pseudo-random order. This is deterministic so an identical query will always return the same events in the same order.
querystringNoAn optional search query for filtering events. See search syntax and queryable event properties at Sentry Search Documentation for more information. An example query might be query=transaction:foo AND release:abc
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_issues_list_an_issue_s_hashes

This endpoint lists an issue’s hashes, which are the generated checksums used to aggregate individual events. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the event belongs to.
issue_idstringYesThe ID of the issue to retrieve.
fullbooleanNoIf this is set to true, the event payload will include the full event body, including the stacktrace. Set to 1 to enable.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_issues_list_an_organization_s_discover_saved_queries

Retrieve a list of saved queries that are associated with the given organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
per_pageintegerNoLimit the number of rows to return in the result. Default and maximum allowed is 100.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
querystringNoThe name of the Discover query you’d like to filter by.
sortBystringNoThe property to sort results by. If not specified, the results are sorted by query name. Available fields are: - name - dateCreated - dateUpdated - mostPopular - recentlyViewed - myqueries

sentry_issues_list_an_organization_s_issues

Return a list of issues for an organization. All parameters are supplied as query string parameters. A default query of is:unresolved is applied. To return all results, use an empty query value (i.e. “?query=`). Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
environmentstring[]NoThe name of environments to filter by.
projectinteger[]NoThe IDs of projects to filter by. -1 means all available projects. For example, the following are valid parameters: - /?project=1234&project=56789 - /?project=-1
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
groupStatsPeriodstringNoThe timeline on which stats for the groups should be presented.
shortIdLookupstringNoIf this is set to 1 then the query will be parsed for issue short IDs. These may ignore other filters (e.g. projects), which is why it is an opt-in.
querystringNoAn optional search query for filtering issues. A default query will apply if no view/query is set. For all results use this parameter with an empty string.
viewIdstringNoThe ID of the view to use. If no query is present, the view’s query and filters will be applied.
sortstringNoThe sort order of the view. Options include ‘Last Seen’ (date), ‘First Seen’ (new), ‘Trends’ (trends), ‘Events’ (freq), ‘Users’ (user), and ‘Date Added’ (inbox).
limitintegerNoThe maximum number of issues to affect. The maximum is 100.
expandstring[]NoAdditional data to include in the response.
collapsestring[]NoFields to remove from the response to improve query performance.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_issues_list_seer_ai_models

Get list of actively used LLM model names from Seer. Returns the list of AI models that are currently used in production in Seer. This endpoint does not require authentication and can be used to discover which models Seer uses. Requests to this endpoint should use the region-specific domain eg. us.sentry.io or de.sentry.io

sentry_issues_query_explore_events_in_table_format

Retrieves explore data for a given organization. Note: This endpoint is intended to get a table of results, and is not for doing a full export of data sent to Sentry. The field query parameter determines what fields will be selected in the data and meta keys of the endpoint response. - The data key contains a list of results row by row that match the query made - The meta key contains information about the response, including the unit or type of the fields requested Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
fieldstring[]YesThe fields, functions, or equations to request for the query. At most 20 fields can be selected per request. Each field can be one of the following types: - A built-in key field. See possible fields in the properties table, under any field that matches the dataset passed to the dataset parameter - example: field=transaction - A tag. Tags should use the tag[{name}, {type}] formatting to avoid ambiguity with any fields, - example: field=tag[isEnterprise, string] - example: field=tag[numberOfBytes, number] - A function which will be in the format of function_name(parameters,...). See possible functions in the query builder documentation. - when a function is included, Discover will group by any tags or fields - example: field=count_if(transaction.duration,greater,300) - An equation when prefixed with equation|. Read more about equations here. - example: field=equation|count_if(transaction.duration,greater,300) / count() * 100
datasetstringYesWhich dataset to query, changing datasets changes the available fields that can be queried
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
environmentstring[]NoThe name of environments to filter by.
projectinteger[]NoThe IDs of projects to filter by. -1 means all available projects. For example, the following are valid parameters: - /?project=1234&project=56789 - /?project=-1
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
per_pageintegerNoLimit the number of rows to return in the result. Default and maximum allowed is 100.
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)
sortstringNoWhat to order the results of the query by. Must be something in the field list, excluding equations.

sentry_issues_query_explore_events_in_timeseries_format

Retrieves explore data for a given organization as a timeseries. This endpoint can return timeseries for either 1 or many axis, and results grouped to the top events depending on the parameters passed Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
datasetstringYesWhich dataset to query, changing datasets changes the available fields that can be queried
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
environmentstring[]NoThe name of environments to filter by.
projectinteger[]NoThe IDs of projects to filter by. -1 means all available projects. For example, the following are valid parameters: - /?project=1234&project=56789 - /?project=-1
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
topEventsintegerNoThe number of top event results to return, must be between 1 and 10. When TopEvents is passed, both sort and groupBy are required parameters
comparisonDeltaintegerNoThe delta in seconds to return additional offset timeseries by
intervalintegerNoThe size of the bucket for the timeseries to have, must be a value smaller than the window being queried. If the interval is invalid a default interval will be selected instead
sortstringNoWhat to order the results of the query by. Must be something in the field list, excluding equations.
groupBystring[]NoList of fields to group by, Required for topEvents queries as this and sort determine what the top events are
yAxisstringNoThe aggregate field to create the timeseries for, defaults to count() when not included
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)
disableAggregateExtrapolationstringNoWhether to disable the use of extrapolation and return the sampled values, due to sampling the number returned may be less than the actual values sent to Sentry
preventMetricAggregatesstringNoWhether to throw an error when aggregates are passed in the query or groupBy
excludeOtherstringNoOnly applicable with TopEvents, whether to include the ‘other’ timeseries which represents all the events that aren’t in the top groups.

sentry_issues_remove_an_issue

Removes an individual issue. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the issue belongs to.
issue_idstringYesThe ID of the issue to delete.

sentry_issues_resolve_a_short_id

Resolve a short ID to the project slug and group details. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
issue_idstringYesThe short ID of the issue to resolve.

sentry_issues_resolve_an_event_id

This resolves an event ID to the project slug and internal issue ID and internal event ID. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
event_idstringYesThe event ID to look up.

sentry_issues_retrieve_an_event_for_a_project

Return details on an individual event. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the event belongs to.
project_id_or_slugstringYesThe ID or slug of the project the event belongs to.
event_idstringYesThe ID of the event to retrieve. It is the hexadecimal ID as reported by the client.

sentry_issues_retrieve_an_issue

Return details on an individual issue. This returns the basic stats for the issue (title, last seen, first seen), some overall numbers (number of comments, user reports) as well as the summarized event data. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the issue belongs to.
issue_idstringYesThe ID of the issue to retrieve.

sentry_issues_retrieve_an_issue_event

Retrieves the details of an issue event. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
issue_idintegerYesThe ID of the issue you’d like to query.
event_idstringYesThe ID of the event to retrieve, or ‘latest’, ‘oldest’, or ‘recommended’.
environmentstring[]NoThe name of environments to filter by.

sentry_issues_retrieve_an_organization_s_discover_saved_query

Retrieve a saved query. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
query_idintegerYesThe ID of the Discover query you’d like to retrieve.

sentry_issues_retrieve_seer_issue_fix_state

Retrieve the current detailed state of an issue fix process for a specific issue including: - Current status - Steps performed and their outcomes - Repository information and permissions - Root Cause Analysis - Proposed Solution - Generated code changes This endpoint although documented is still experimental and the payload may change in the future. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
issue_idintegerYesThe ID of the issue you’d like to query.

sentry_issues_retrieve_tag_details

Return a list of values associated with this key for an issue. When paginated can return at most 1000 values. Parameters:
ParameterTypeRequiredDefaultDescription
issue_idintegerYesThe ID of the issue you’d like to query.
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
keystringYesThe tag key to look the values up for.
environmentstring[]NoThe name of environments to filter by.

sentry_issues_start_seer_issue_fix

Trigger a Seer Issue Fix run for a specific issue. The issue fix process can: - Identify the root cause of the issue - Propose a solution - Generate code changes - Create a pull request with the fix The process runs asynchronously, and you can get the state using the GET endpoint. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
issue_idintegerYesThe ID of the issue you’d like to query.
event_idstringNoRun issue fix on a specific event. If not provided, the recommended event for the issue will be used.
instructionstringNoOptional custom instruction to guide the issue fix process.
pr_to_comment_on_urlstringNoURL of a pull request where the issue fix should add comments.
stopping_pointstringNoWhere the issue fix process should stop. If not provided, will run to root cause. * root_cause * solution * code_changes * open_pr

sentry_issues_update_an_issue

Updates an individual issue’s attributes. Only the attributes submitted are modified. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the issue belongs to.
issue_idstringYesThe ID of the group to retrieve.
assignedTostringNoThe actor id (or username) of the user or team that should be assigned to this issue.
hasSeenbooleanNoIn case this API call is invoked with a user context this allows changing of the flag that indicates if the user has seen the event.
isBookmarkedbooleanNoIn case this API call is invoked with a user context this allows changing of the bookmark flag.
isPublicbooleanNoSets the issue to public or private.
isSubscribedbooleanNoIn case this API call is invoked with a user context this allows the user to subscribe to workflow notications for this issue.
statusstringNoThe new status for the issues. Valid values are "resolved", "resolvedInNextRelease", "unresolved", and "ignored".
statusDetailsobjectNoAdditional details about the resolution. Supported values are "inRelease", "inNextRelease", "inCommit", "ignoreDuration", "ignoreCount", "ignoreWindow", "ignoreUserCount", and "ignoreUserWindow".